unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, MyFunc, ExtCtrls ;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Button1: TButton;
    Button2: TButton;
    RadioGroup1: TRadioGroup;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private 錾 }
    AppPath : string ;
    OKflag : Boolean ;
    Xsize,Ysize : double ;
    ALmode : integer ;
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

// N
procedure TForm1.FormShow(Sender: TObject);
var
   F : TextFile ;
   s : string ;
begin
   OKflag := False ;
   Xsize := 0.0 ;
   Ysize := 0.0 ;
   ALmode := 2 ;
   // vÔtH_擾܂
   AppPath := ExtractFilePath(Application.ExeName) ;
   // ʒu񓙂ǂݍ
   if (FileExists(AppPath+'p022.dat')) then begin
      try
         AssignFile(F, AppPath+'p022.dat');
         FileMode := 0;
         Reset(F);
         ReadLn(F, s);  Form1.Left := SInt(s);
         ReadLn(F, s);  Form1.Top  := SInt(s);
         ReadLn(F, s);  Xsize := SDbl(s);
         ReadLn(F, s);  Ysize := SDbl(s);
         ReadLn(F, s);  ALmode:= SInt(s);
         CloseFile(F);
      except
         CloseFile(F);
      end;
   end;
   Edit1.text := FloatToStr(Xsize);
   Edit2.text := FloatToStr(Ysize);
   RadioGroup1.ItemIndex := ALmode;
   // JWC_TEMP.TXTJ܂
end;

// I
procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
var
   F : TextFile ;
   s : string ;
   x1,y1,x2,y2 : double ;
begin
   ALmode := RadioGroup1.ItemIndex ;
   // ʒu񓙂ۑ
   try
      AssignFile(F, AppPath+'p022.dat');
      ReWrite(F);
      WriteLn(F, IntToStr(Form1.Left));
      WriteLn(F, IntToStr(Form1.Top));
      WriteLn(F, FloatToStr(Xsize));
      WriteLn(F, FloatToStr(Ysize));
      WriteLn(F, IntToStr(ALmode));
      CloseFile(F);
   except
      CloseFile(F);
   end;
   // JWC_TEMP.TXT㏑ۑ܂
   try
      AssignFile(F, AppPath+'JWC_TEMP.TXT');
      ReWrite(F);
      if (OKflag) then begin
         // [OK]
         x1 := 0.0;
         y1 := 0.0;
         case(ALmode)of
         0: begin // 
               x1 := 0.0;
               y1 :=-Ysize;
            end;
         1: begin // 
               x1 := 0.0;
               y1 :=-Ysize/2.0;
            end;
         2: begin // 
               x1 := 0.0;
               y1 := 0.0;
            end;
         3: begin // 
               x1 :=-Xsize/2.0;
               y1 :=-Ysize;
            end;
         4: begin // 
               x1 :=-Xsize/2.0;
               y1 :=-Ysize/2.0;
            end;
         5: begin // 
               x1 :=-Xsize/2.0;
               y1 := 0.0;
            end;
         6: begin // E
               x1 :=-Xsize;
               y1 :=-Ysize;
            end;
         7: begin // E
               x1 :=-Xsize;
               y1 :=-Ysize/2.0;
            end;
         8: begin // E
               x1 :=-Xsize;
               y1 := 0.0;
            end;
         end;
         x2 := x1 + Xsize;
         y2 := y1 + Ysize;
         s := FloatToStr(x1) + ' ' + FloatToStr(y1) + ' ' + FloatToStr(x2) + ' ' + FloatToStr(y1);
         WriteLn(F, s);
         s := FloatToStr(x2) + ' ' + FloatToStr(y1) + ' ' + FloatToStr(x2) + ' ' + FloatToStr(y2);
         WriteLn(F, s);
         s := FloatToStr(x2) + ' ' + FloatToStr(y2) + ' ' + FloatToStr(x1) + ' ' + FloatToStr(y2);
         WriteLn(F, s);
         s := FloatToStr(x1) + ' ' + FloatToStr(y2) + ' ' + FloatToStr(x1) + ' ' + FloatToStr(y1);
         WriteLn(F, s);
      end
      else begin
         // [LZ]
         WriteLn(F, 'hq');
      end;
      CloseFile(F);
   except
      CloseFile(F);
   end;
end;

// [OK]
procedure TForm1.Button1Click(Sender: TObject);
begin
   Xsize := SDbl(Edit1.Text) ;
   Ysize := SDbl(Edit2.Text) ;
   if (Xsize <= 0.0) then begin
      MessageBeep(Word(-1));
      ShowMessage('TCY[ȉ̐lɂȂĂ܂Bē͂ĉB');
      exit ;
   end;
   if (Ysize <= 0.0) then begin
      MessageBeep(Word(-1));
      ShowMessage('cTCY[ȉ̐lɂȂĂ܂Bē͂ĉB');
      exit ;
   end;

   OKflag := True ;
   Close ;
end;

// [LZ]
procedure TForm1.Button2Click(Sender: TObject);
begin
   OKflag := False ;
   Close ;
end;

end.
